play.exceptions

## Class JavaExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.PlayExceptionWithJavaSource
          - - play.exceptions.JavaExecutionException

All Implemented Interfaces:
  java.io.Serializable, SourceAttachment

    public class JavaExecutionException
    extends PlayExceptionWithJavaSource

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JavaExecutionException(ApplicationClasses.ApplicationClass applicationClass, java.lang.Integer lineNumber, java.lang.Throwable e)`
`JavaExecutionException(java.lang.Throwable e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getErrorDescription()`
`java.lang.String` `getErrorTitle()`
`boolean` `isSourceAvailable()`

### Methods inherited from class play.exceptions.PlayExceptionWithJavaSource

`getLineNumber, getSource, getSourceFile`

### Methods inherited from class play.exceptions.PlayException

`getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getMoreHTML`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaExecutionException

    public JavaExecutionException(ApplicationClasses.ApplicationClass applicationClass,
                                  java.lang.Integer lineNumber,
                                  java.lang.Throwable e)

#### JavaExecutionException

    public JavaExecutionException(java.lang.Throwable e)

### Method Detail

#### getErrorTitle

    public java.lang.String getErrorTitle()

Specified by:
  `getErrorTitle` in class `PlayException`

#### getErrorDescription

    public java.lang.String getErrorDescription()

Specified by:
  `getErrorDescription` in class `PlayException`

#### isSourceAvailable

    public boolean isSourceAvailable()

Overrides:
  `isSourceAvailable` in class `PlayExceptionWithJavaSource`